"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.moefyCanvasPlugin = void 0;
const core_1 = require("@vuepress-denaro/core");
const utils_1 = require("@vuepress/utils");
const shared_1 = require("../shared");
const moefyCanvasPlugin = ({ theme, themeConfig = {}, canvasOptions = {} } = {
    theme: shared_1.MoefyCanvasTheme.Sparkler,
}) => {
    const pluginObj = {
        name: `${core_1.pluginNamePrefix}moefy-canvas`,
        define: {
            __MOEFY_CANVAS_THEME__: theme,
            __MOEFY_CANVAS_THEME_CONFIG__: themeConfig,
            __MOEFY_CANVAS_OPTIONS__: canvasOptions,
        },
        clientConfigFile: utils_1.path.resolve(__dirname, '../client/config.js'),
    };
    return pluginObj;
};
exports.moefyCanvasPlugin = moefyCanvasPlugin;
